import 'package:flutter/material.dart';
import 'package:auto_route/auto_route.dart';
import 'package:flutter/rendering.dart';
import 'package:flutter_hooks/flutter_hooks.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:router/ext/auto_router_extensions.dart';
import 'package:shared/utils/color_utils.dart';
import 'package:shared/utils/log_utils.dart';
import 'package:widgets/my_load_image.dart';
import 'package:widgets/ext/ex_widget.dart';
import 'package:widgets/my_text_view.dart';
import 'package:widgets/my_appbar.dart';
import 'package:cs_resources/theme/app_colors_theme.dart';
import 'package:widgets/widget_export.dart';

import '../../../router/page/community_page_router.dart';
import 'foryou_vm.dart';

@RoutePage()
class ForyouPage extends HookConsumerWidget {
  const ForyouPage({Key? key}) : super(key: key);

  //启动当前页面
  static void startInstance({BuildContext? context}) {
    if (context != null) {
      context.router.push(const ForyouPageRoute());
    } else {
      appRouter.push(const ForyouPageRoute());
    }
  }

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    final vm = ref.read(foryouVmProvider.notifier);
    return Scaffold(
      // appBar: MyAppBar.appBar(
      //   context,
      //   "foryou",
      //   backgroundColor: context.appColors.whiteBG,
      // ),
      // backgroundColor: ColorUtils.string2Color("#F2F3F6"),
        body: Column(
          children: [
            Expanded(
              child: EasyRefresh(
                // 上拉加载
                onLoad: () async{
                  Log.d("----onLoad");
                  vm.onLoadData();
                },
                // 下拉刷新
                onRefresh: () async{
                  Log.d("----onRefresh");
                  vm.refreshListData();
                },
                child: _buildForyouList(context, ref, vm),
              ),
            )
          ],
        )
    );
  }


  Widget _buildForyouList(BuildContext context, WidgetRef ref, ForyouVm vm) {

    return ListView.builder(
      itemCount: 3,
      itemBuilder: (context, index) {
        return _buildListItem(context, ref, vm, index);
      },
    );
  }

  Widget _buildListItem(BuildContext context, WidgetRef ref, ForyouVm vm, int index) {
    return Text("list-item");
  }

}