import 'package:cs_resources/generated/assets.dart';
import 'package:flutter/cupertino.dart';
import 'package:plugin_platform/engine/toast/toast_engine.dart';
import 'package:riverpod_annotation/riverpod_annotation.dart';
import 'package:router/ext/auto_router_extensions.dart';
import 'package:shared/utils/log_utils.dart';

import '../../../router/page/community_page_router.dart';
import '../garagesale_detail/garagesale_detail_page.dart';
import 'for_sale_respository.dart';
import 'for_sale_state.dart';

part 'for_sale_vm.g.dart';

@riverpod
class ForsaleVm extends _$ForsaleVm {
  late ForsaleRepository ForsaleRepositoryInstance;
  ForsaleState initState() {
    return ForsaleState(
      list: [
          {
            'id':1,
            'goods_img':  'https://img.alicdn.com/tfs/TB1h.o9O4MPMeJjy1XaXXcSsFXa-640-360.jpg',
            'title': 'Electronic keyboard',
            'price': '\$66',
            'isCollection': true,
            'collection_num': '12',
            'publisher': 'William Jefferson',
            'publish_time': 'June 17,2016 at 7:23 p.m.',
            'publisher_avator': Assets.communityCamera
          },
          {
            'id':2,
            'goods_img':  'https://img.alicdn.com/tfs/TB1h.o9O4MPMeJjy1XaXXcSsFXa-640-360.jpg',
            'title': 'Electronic keyboard',
            'price': '\$88',
            'isCollection': false,
            'collection_num': '12',
            'publisher': 'William Jefferson',
            'publish_time': 'June 17,2016 at 7:23 p.m.',
            'publisher_avator': Assets.communityCamera
          },
          {
            'id':3,
            'goods_img':  'https://img.alicdn.com/tfs/TB1h.o9O4MPMeJjy1XaXXcSsFXa-640-360.jpg',
            'title': 'Electronic keyboard',
            'price': '\$66',
            'isCollection': true,
            'collection_num': '12',
            'publisher': 'William Jefferson',
            'publish_time': 'June 17,2016 at 7:23 p.m.',
            'publisher_avator': Assets.communityCamera
          },
          {
            'id':4,
            'goods_img':  'https://img.alicdn.com/tfs/TB1h.o9O4MPMeJjy1XaXXcSsFXa-640-360.jpg',
            'title': 'Electronic keyboard',
            'price': '\$88',
            'isCollection': false,
            'collection_num': '12',
            'publisher': 'William Jefferson',
            'publish_time': 'June 17,2016 at 7:23 p.m.',
            'publisher_avator': Assets.communityCamera
          },
          {
            'id':5,
            'goods_img':  'https://img.alicdn.com/tfs/TB1h.o9O4MPMeJjy1XaXXcSsFXa-640-360.jpg',
            'title': 'Electronic keyboard',
            'price': '\$66',
            'isCollection': true,
            'collection_num': '12',
            'publisher': 'William Jefferson',
            'publish_time': 'June 17,2016 at 7:23 p.m.',
            'publisher_avator': Assets.communityCamera
          },
          {
            'id':6,
            'goods_img':  'https://img.alicdn.com/tfs/TB1h.o9O4MPMeJjy1XaXXcSsFXa-640-360.jpg',
            'title': 'Electronic keyboard',
            'price': '\$88',
            'isCollection': false,
            'collection_num': '12',
            'publisher': 'William Jefferson',
            'publish_time': 'June 17,2016 at 7:23 p.m.',
            'publisher_avator': Assets.communityCamera
          },
      ]
    );
  }

  @override
  ForsaleState build(){
    // 引入数据仓库
    ForsaleRepositoryInstance = ref.read(newsRepositoryProvider);
    final state = initState();
    Log.d("--------------------------build---------------------");

    return state;
  }

   // 设置当前的 tabsRouter 和 pageController
  Future setTabsRouterAndPageController(dynamic tabsRouter, dynamic pageController) async{
    Log.d("setTabsRouterAndPageController---:$tabsRouter");
  }

// 上拉加载
  Future onLoadData() async {
    Log.d("----Forsale_vm-----initListData");
    // await Future.delayed(const Duration(seconds: 2));
    // if(state.list.length >= state.filterCount){
    //   return;
    // }else {
    //   int curPage = state.curPage + 1;
    //   state = state.copyWith(curPage: curPage,);
    //   getListData();
    // }
    // getListData();
  }

  // 获取list 列表数据
  void getListData<T>() async {
    Log.d("加载listData数据---------------start-----");
    try {
      //请求网络
      Map<String, dynamic>  params = {
        "curPage": state.curPage,
        "pageSize": state.pageSize,
      };
      Log.d("请求参数------$params");
      final result = await ForsaleRepositoryInstance.fetchForsaleList(params);
      Log.d("请求完成结果------${result.data}");
      //校验成功失败
      if (result.isSuccess) {
        // state = state.copyWith(serverTime: result.data);
        state = state;
        ToastEngine.show("获取数据成功");
      } else {
        ToastEngine.show(result.errorMsg ?? "Network Load Error");
      }
    } catch (e) {
      ToastEngine.show("Error: $e");
    }
  }


  // 下拉刷新
  Future refreshListData() async {
    Log.d("----property_news_vm-----refreshListData ");

    // await Future.delayed(const Duration(seconds: 2));

    state = state.copyWith(curPage: 1, pageSize: 10);
    // ref.invalidateSelf();
    // ref.invalidate(ForsaleVmProvider);
    getListData();

  }


  // 点击 like comments  share
  void handlerClickActionBtn(String? actionStr, item){
    final id = item['id'];
    switch (actionStr) {
      case 'like':
        Log.d("点击了 点赞");
        handlerGotoDetail(id);
        break;
      case 'comments':
        Log.d("点击了 评论");
        handlerGotoDetail(id);
        break;
      case 'share':
        Log.d("点击了 分享");
        handlerGotoDetail(id);
        break;
      default:
        break;
    }
  }
  // 去详情页面
  void handlerGotoDetail(id){
    Log.d("去详情页面");
    appRouter.push(GaragesaleDetailPageRoute(id: id, type: 'forsale'));
  }
}