import 'package:cs_resources/generated/assets.dart';
import 'package:flutter/material.dart';
import 'package:shared/utils/color_utils.dart';

class GarageState {
  List<Map<String, dynamic>>? topSectionsData;
  int? curPage;
  int? pageSize;
  int? filterCount;
  int? activeIndex = 0;
  List tabsList = [];
  List? list = [];

  GarageState({
    this.topSectionsData,
    this.curPage,
    this.pageSize,
    this.filterCount,
    this.activeIndex,
    required this.tabsList,
    this.list,
  });

  GarageState copyWith({
    List<Map<String, dynamic>>? topSectionsData,
    int? curPage,
    int? pageSize,
    int? filterCount,
    int? activeIndex,
    List? tabsList,
    List? list,
  }) {
    return GarageState(
      topSectionsData: topSectionsData ?? this.topSectionsData,
      curPage: curPage ?? this.curPage,
      pageSize: pageSize ?? this.pageSize,
      filterCount: filterCount ?? this.filterCount,
      activeIndex: activeIndex ?? this.activeIndex,
      tabsList: tabsList ?? this.tabsList,
      list: list ?? this.list,
    );
  }

  Map<String, dynamic> toMap() {
    return {
      'topSectionsData': this.topSectionsData,
      'curPage': this.curPage,
      'pageSize': this.pageSize,
      'filterCount': this.filterCount,
      'activeIndex': this.activeIndex,
      'tabsList': this.tabsList,
      'list': this.list,
    };
  }

  factory GarageState.fromMap(Map<String, dynamic> map) {
    return GarageState(
      topSectionsData: map['topSectionsData'] as List<Map<String, dynamic>>,
      curPage: map['curPage'] as int,
      pageSize: map['pageSize'] as int,
      filterCount: map['filterCount'] as int,
      activeIndex: map['activeIndex'] as int,
      tabsList: map['tabsList'] as List,
      list: map['list'] as List,
    );
  }
}