import 'package:cpt_community/router/page/community_page_router.dart';
import 'package:cs_resources/theme/app_colors_theme.dart';
import 'package:flutter/material.dart';
import 'package:auto_route/auto_route.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:router/ext/auto_router_extensions.dart';
import 'package:widgets/my_appbar.dart';

@RoutePage()
class GaragesaleDetailPage extends HookConsumerWidget {
  final int? id;
  final String? type;  // forsale  forrent

  const GaragesaleDetailPage({Key? key, required this.id, required this.type}) : super(key: key);
  // 启动当前页面
  static void startInstance({BuildContext? context, int? id, String? type = 'forsale'}) {
    if (context != null) {
      context.router.push(GaragesaleDetailPageRoute(id: id, type: type));
    } else {
      appRouter.push(GaragesaleDetailPageRoute(id: id, type: type));
    }
  }


  @override
  Widget build(BuildContext context, WidgetRef ref) {
    // final viewModel = ref.watch(newsfeedPostVmProvider.notifier);

    return Scaffold(
      appBar: MyAppBar.appBar(
        context,
        "Garage Sale Detail",
        backgroundColor: context.appColors.whiteBG,
      ),
      backgroundColor: context.appColors.backgroundDefault,
      body: Center(
        child: Text("GaragesaleDetail"),
      ),
    );
  }
}
