/// YApi QuickType插件生成，具体参考文档:https://plugins.jetbrains.com/plugin/18847-yapi-quicktype/documentation

import 'dart:convert';

PropertyIoanState propertyIoanStateFromJson(String str) => PropertyIoanState.fromJson(json.decode(str));

String propertyIoanStateToJson(PropertyIoanState data) => json.encode(data.toJson());

class PropertyIoanState {
    PropertyIoanState({
        required this.offerTextInfoList,
        required this.lowestFloatingRate,
        required this.othersOfferingPic,
        required this.lowestFixedRate,
        required this.othersOfferingInfoList,
    });

    List<dynamic> offerTextInfoList;
    String lowestFloatingRate;
    String othersOfferingPic;
    String lowestFixedRate;
    List<dynamic> othersOfferingInfoList;

    factory PropertyIoanState.fromJson(Map<dynamic, dynamic> json) => PropertyIoanState(
        offerTextInfoList: List<dynamic>.from(json["offerTextInfoList"].map((x) => x)),
        lowestFloatingRate: json["lowestFloatingRate"],
        othersOfferingPic: json["othersOfferingPic"],
        lowestFixedRate: json["lowestFixedRate"],
        othersOfferingInfoList: List<dynamic>.from(json["othersOfferingInfoList"].map((x) => x)),
    );

    Map<dynamic, dynamic> toJson() => {
        "offerTextInfoList": List<dynamic>.from(offerTextInfoList.map((x) => x)),
        "lowestFloatingRate": lowestFloatingRate,
        "othersOfferingPic": othersOfferingPic,
        "lowestFixedRate": lowestFixedRate,
        "othersOfferingInfoList": List<dynamic>.from(othersOfferingInfoList.map((x) => x)),
    };

    PropertyIoanState copyWith({
    List<dynamic>? offerTextInfoList,
    String? lowestFloatingRate,
    String? othersOfferingPic,
    String? lowestFixedRate,
    List<dynamic>? othersOfferingInfoList,
  }) {
    return PropertyIoanState(
      offerTextInfoList: offerTextInfoList ?? this.offerTextInfoList,
      lowestFloatingRate: lowestFloatingRate ?? this.lowestFloatingRate,
      othersOfferingPic: othersOfferingPic ?? this.othersOfferingPic,
      lowestFixedRate: lowestFixedRate ?? this.lowestFixedRate,
      othersOfferingInfoList:
          othersOfferingInfoList ?? this.othersOfferingInfoList,
    );
  }
}
