/// YApi QuickType插件生成，具体参考文档:https://plugins.jetbrains.com/plugin/18847-yapi-quicktype/documentation

import 'dart:convert';

PropertyNewsState propertyNewsStateFromJson(String str) => PropertyNewsState.fromJson(json.decode(str));

String propertyNewsStateToJson(PropertyNewsState data) => json.encode(data.toJson());

class PropertyNewsState {
    PropertyNewsState({
        required this.curPage,
        required this.pageSize,
        required this.list,
        required this.filterCount,
    });

    int curPage;
    int pageSize;
    int filterCount;
    List<Map<String, dynamic>> list;

    factory PropertyNewsState.fromJson(Map<dynamic, dynamic> json) => PropertyNewsState(
        curPage: json["curPage"],
        pageSize: json["pageSize"],
        list: List<Map<String, dynamic>>.from(json["list"].map((x) => x)),
        filterCount: json["filterCount"],
    );

    Map<dynamic, dynamic> toJson() => {
        "curPage": curPage,
        "pageSize": pageSize,
        "list": List<dynamic>.from(list.map((x) => x)),
        "filterCount": filterCount,
    };

    PropertyNewsState copyWith({
    int? curPage,
    int? pageSize,
    List<Map<String, dynamic>>? list,
    int? filterCount,
  }) {
    return PropertyNewsState(
      curPage: curPage ?? this.curPage,
      pageSize: pageSize ?? this.pageSize,
      list: list ?? this.list,
      filterCount: filterCount ?? this.filterCount,
    );
  }
}
